NTP_KEYS(5) | File Formats Manual | NTP_KEYS(5)

# NAME

`ntp.keys` —
NTP symmetric key file format

# SYNOPSIS

/etc/ntp.keys

# DESCRIPTION

This document describes the format of an NTP symmetric key file. For a description of the use of this type of file, see the “Authentication Support” section of the ntp.conf(5) page.

ntpd(8) reads its keys from a file specified using the `-k` command line option or the `keys` statement in the configuration file. While key number 0 is fixed by the NTP standard (as 56 zero bits) and may not be changed, one or more keys numbered between 1 and 65534 may be arbitrarily set in the keys file.

The key file uses the same comment conventions as the configuration file. Key entries use a fixed format of the form

keyno type key

where keyno is a positive integer (between 1 and 65534), type is the message digest algorithm, and key is the key itself.

The key may be given in a format controlled by the type field. The type `MD5` is always supported. If `ntpd` was built with the OpenSSL library then any digest library supported by that library may be specified. However, if compliance with FIPS 140-2 is required the type must be either `SHA` or `SHA1`.

What follows are some key types, and corresponding formats:

`MD5`
  The key is 1 to 16 printable characters terminated by an EOL, whitespace, or a `#` (which is the "start of comment" character).

`SHA`
`SHA1`
`RMD160`
  The key is a hex-encoded ASCII string of 40 characters, which is truncated as necessary.

Note that the keys used by the ntpq(8) and ntpdc(8) programs are checked against passwords requested by the programs and entered by hand, so it is generally appropriate to specify these keys in ASCII format.

# OPTIONS

`--help`
  Display usage information and exit.
`--more-help`
  Pass the extended usage information through a pager.
`--version` [{v|c|n}]
  Output version of program and exit. The default mode is `v', a simple version. The `c' mode will print copyright information and `n' will print the full copyright notice.

# OPTION PRESETS

Any option that is not marked as not presettable may be preset by loading values from environment variables named:

      NTP_KEYS_<option-name> or NTP_KEYS

cvt_prog='/usr/local/gnu/share/autogen/texi2mdoc' cvt_prog=`cd `dirname "$cvt_prog"` >/dev/null && pwd
`/`basename "$cvt_prog"` cd $tmp_dir test -x "$cvt_prog" || die "'$cvt_prog' is not executable" {
list='synopsis description options option-presets'
for f in $list ; do cat $f ; echo ; done
rm -f $list name
list='implementation-notes environment files examples exit-status errors
compatibility see-also conforming-to history authors copyright bugs
notes'
for f in $list ; do cat $f ; echo ; done > .end-doc
rm -f $list
list=`ls -1 *`' .end-doc'
for f in $list ; do cat $f ; echo ; done
rm -f $list } 1>.doc 2>/dev/null sed -f .cmds .doc | /usr/local/gnu/bin/grep -E -v '^[ ]*$' | $cvt_prog

# ENVIRONMENT

See OPTION PRESETS for configuration environment variables.

# FILES

/etc/ntp.keys
  the default name of the configuration file

# EXIT STATUS

One of the following exit values will be returned:

0 (EXIT_SUCCESS)
  Successful program execution.
1 (EXIT_FAILURE)
  The operation failed or the command syntax was not valid.
70 (EX_SOFTWARE)
  libopts had an internal operational error. Please report it to autogen-users@lists.sourceforge.net. Thank you.

# SEE ALSO

ntp.conf(5), ntpd(8), ntpdate(8), ntpdc(8), sntp(1)

# AUTHORS

The University of Delaware

# COPYRIGHT

Copyright (C) 1970-2013 The University of Delaware all rights reserved. This program is released under the terms of the NTP license, <http://ntp.org/license>.

# BUGS

Please send bug reports to: http://bugs.ntp.org, bugs@ntp.org

# NOTES

This document corresponds to version 4.2.7p404 of NTP. This document was derived from FreeBSD.

This manual page was AutoGen-erated from the ntp.keys option definitions.

December 24 2013 | NetBSD 9.0